Subject: [os2genau_digest] No. 1121
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 6 Jun 2005 00:02:05 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 05 June 2005
 Number  1121
**************************************************

Subjects for today
 
1   Long File Name DLL's??? : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
2  Re:  Long File Name DLL's??? : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Sun, 05 Jun 2005 19:29:02 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   Long File Name DLL's???

Can we have these under OS/2?

I have a dll that must be called Ws50ProcessManagement.dll.

Java is loading it, but it is returning RC = 123 (invalid char), so I'm
guessing that it is because it is >8 bytes.

Is this correct?

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 05 Jun 2005 22:33:34 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Long File Name DLL's???

Chris Graham [WarpSpeed] wrote:

>Can we have these under OS/2?
>
>I have a dll that must be called Ws50ProcessManagement.dll.
>
>Java is loading it, but it is returning RC = 123 (invalid char), so I'm
>guessing that it is because it is >8 bytes.
>
>Is this correct?
>
>
>-Chris
>
>WarpSpeed Computers - The Graham Utilities for OS/2.
>Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
>FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
>Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA
>
>  
>
Hi Chris,
Unless there is something very strange within Java and as long as you 
are using partitions formatted as HPFS or JFS, you should be able open 
files with names of this length. So I think the problem may be elsewhere.

Cheers/2

Ed.
----------------------------------------------------------------------------------